//
// $Id: sha1calc.cpp 2051 2010-06-15 18:39:13Z chambm $
//
//
// Original author: Darren Kessner <darren@proteowizard.org>
//
// Copyright 2008 Spielberg Family Center for Applied Proteomics 
//   Cedars Sinai Medical Center, Los Angeles, California  90048
//
// Licensed under the Apache License, Version 2.0 (the "License"); 
// you may not use this file except in compliance with the License. 
// You may obtain a copy of the License at 
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software 
// distributed under the License is distributed on an "AS IS" BASIS, 
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
// See the License for the specific language governing permissions and 
// limitations under the License.
//


#include "SHA1Calculator.hpp"
#include "unit.hpp"
#include "pwiz/utility/misc/Std.hpp"

#include <Rcpp.h>
#include <Rcpp/iostream/Rstreambuf.h>

using namespace pwiz::util;


int main(int argc, char* argv[])
{
    try
    {
        if (argc<2) throw runtime_error("Usage: sha1calc filename"); 
        Rcpp::Rcout << SHA1Calculator::hashFile(argv[1]) << endl;
        return 0;
    }
    catch (exception& e)
    {
        Rcpp::Rcout << e.what() << endl;
        return 1;
    }
    catch (...)
    {
        Rcpp::Rcout << "Caught unknown exception.\n";
        return 1;
    }
}

